# docker-images

> Dockerfiles and scripts to build various Docker images I rely on.


## System Requirements
 - Linux
 - Bash
 - Docker


## Getting started
The script that does the magic is called `imagebuilder.sh` in the root of this repository. Run it to get usage information:

```bash
./imagebuilder.sh
```

## Development Notes

At present, 3 image types are present:

 - **`base`:** A base image - a script is called with an auto-generated output directory as the 1st and only argument. When the script exits the directory is checked for a `.tar.gz` file
 - **`base-nopush`:** A variant of the above that doesn't automatically much to the docker registry on completion.
 - **`docker`:** A `Dockerfile` is is built with `docker build` before being pushed to the docker registry.


Image			| Purpose
----------------|----------------
`minideb`			| Our main base image for (most) other images. Built from [minideb](https://github.com/bitnami/minideb), but customised to use our [[Wopplefox/apt-cacher-ng|apt-cacher-ng]] instance.
`docker-registry-ui`| [docker registry ui](https://github.com/Joxit/docker-registry-ui), dockerised
`jellyfin`			| Dockerised [jellyfin](https://jellyfin.org/)
`etherpad`			| Dockerised [etherpad](https://etherpad.org/)

## Docker container UID/GID map

UID     | GID	| Container				| Notes
--------|-------|-----------------------|-----------------
3		| 3		| docker-registry-ui	| 
50		| 995	| image-wrangler		| 995 = docker group, deprecated
60		| 60	| minetest-mapserver	| 
70		| 70	| etherpad				| 
80		| 80	| serve					| Static HTTP Server based on Node.js
90		| 90	| jellyfin				| 
999 	| 994	| certbot				| The same user & group as fabio, because file permissions
2100    | 2100  | redis                 | 
